
truncate table costage_dim_studiengang;

insert into costage_dim_studiengang(st_studiengang_nr,
       studiengangs_identifikator,
       studiengangs_bezeichnung,
       st_absz_nr,
       st_skz_nr,
       fachkennzeichen,
       st_std_art_nr,
       studiengangs_typ_name,
       studiengangs_typ_kb,
       studientyp_name,
       studientyp_kb,
       stp_stp_nr,
       stuart,
       stufrm,
       pversion,
       rsz,
       skz_key,
       skz_name,
       unikey,
       fakultaet_key,
       abschluss_code,
       abschluss_name,
       fakultaet_kurztext,
       fakultaet_drucktext,
       stort_nr,
       stort_name)

SELECT  G.st_studiengang_nr,
substring(G.studiengangs_identifikator from 1 for 255) as studiengangs_identifikator,
substring(G.studiengangs_bezeichnung from 1 for 255) as studiengangs_bezeichnung,
G.st_absz_nr,
G.st_skz_nr,
G.fachkennzeichen,
G.st_std_art_nr,
G.studiengangs_typ_name,
G.studiengangs_typ_kb,
G.studientyp_name,
G.studientyp_kb,
G.stp_stp_nr,
--G.abschluss,
G.stuart,
G.stufrm,
G.pversion,
G.rsz,
SKZ.skz_key,
SKZ.skz_name,
SKZ.unikey,
SKZ.fakultaet_key,
A.code as abschluss_code,
A.name as abschluss_name,
null::varchar(255) as fakultaet_kurztext,
null::varchar(255) as fakultaet_drucktext,
G.stort_nr,
G.stort_name
FROM costage_st_studiengaenge G left outer join  costage_st_studienkennzahlen SKZ
on ( SKZ.st_skz_nr=G.st_skz_nr)
left outer join costage_st_abschlussziele_lokal A on (A.st_absz_nr=G.st_absz_nr);

update costage_dim_studiengang set fakultaet_kurztext=F.fakultaet_bezeichnung,
fakultaet_drucktext=F.fakultaet_name
from costage_st_fakultaeten F
where F.fakultaet_key=costage_dim_studiengang.fakultaet_key
and F.unikey=costage_dim_studiengang.unikey;


